org.appng.xml.application

## Class ApplicationInfo

- java.lang.Object
- - org.appng.xml.application.PackageInfo
  - - org.appng.xml.application.ApplicationInfo

-     public class ApplicationInfo
      extends PackageInfo

  Java class for applicationInfo complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="applicationInfo">
         <complexContent>
           <extension base="{http://www.appng.org/schema/application}packageInfo">
             <sequence>
               <element name="roles" type="{http://www.appng.org/schema/application}roles" minOccurs="0"/>
               <element name="permissions" type="{http://www.appng.org/schema/application}permissions" minOccurs="0"/>
               <element name="properties" type="{http://www.appng.org/schema/application}properties" minOccurs="0"/>
               <element name="datasources" type="{http://www.appng.org/schema/application}datasources" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Datasources` | `datasources`
    `protected Permissions` | `permissions`
    `protected Properties` | `properties`
    `protected Roles` | `roles`

    - ### Fields inherited from class org.appng.xml.application.PackageInfo

      `appngVersion, description, displayName, longDescription, name, timestamp, version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Datasources` | `getDatasources()` Gets the value of the datasources property.
    `Permissions` | `getPermissions()` Gets the value of the permissions property.
    `Properties` | `getProperties()` Gets the value of the properties property.
    `Roles` | `getRoles()` Gets the value of the roles property.
    `void` | `setDatasources(Datasources value)` Sets the value of the datasources property.
    `void` | `setPermissions(Permissions value)` Sets the value of the permissions property.
    `void` | `setProperties(Properties value)` Sets the value of the properties property.
    `void` | `setRoles(Roles value)` Sets the value of the roles property.

    - ### Methods inherited from class org.appng.xml.application.PackageInfo

      `getAppngVersion, getDescription, getDisplayName, getLongDescription, getName, getTimestamp, getVersion, setAppngVersion, setDescription, setDisplayName, setLongDescription, setName, setTimestamp, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### roles

          protected Roles roles

    - #### permissions

          protected Permissions permissions

    - #### properties

          protected Properties properties

    - #### datasources

          protected Datasources datasources

  - ### Constructor Detail

    - #### ApplicationInfo

          public ApplicationInfo()

  - ### Method Detail

    - #### getRoles

          public Roles getRoles()

      Gets the value of the roles property.
      Returns:
        possible object is `Roles`

    - #### setRoles

          public void setRoles(Roles value)

      Sets the value of the roles property.
      Parameters:
        `value` - allowed object is `Roles`

    - #### getPermissions

          public Permissions getPermissions()

      Gets the value of the permissions property.
      Returns:
        possible object is `Permissions`

    - #### setPermissions

          public void setPermissions(Permissions value)

      Sets the value of the permissions property.
      Parameters:
        `value` - allowed object is `Permissions`

    - #### getProperties

          public Properties getProperties()

      Gets the value of the properties property.
      Returns:
        possible object is `Properties`

    - #### setProperties

          public void setProperties(Properties value)

      Sets the value of the properties property.
      Parameters:
        `value` - allowed object is `Properties`

    - #### getDatasources

          public Datasources getDatasources()

      Gets the value of the datasources property.
      Returns:
        possible object is `Datasources`

    - #### setDatasources

          public void setDatasources(Datasources value)

      Sets the value of the datasources property.
      Parameters:
        `value` - allowed object is `Datasources`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.